Mailinglist Archive: opensuse-factory (188 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180803 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180803

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
Mesa
Mesa-drivers
ModemManager (1.6.12 -> 1.6.14)
apache2 (2.4.33 -> 2.4.34)
autogen (5.18.12 -> 5.18.14)
baobab
bluedevil5 (5.13.3 -> 5.13.4)
breeze (5.13.3 -> 5.13.4)
breeze-gtk (5.13.3 -> 5.13.4)
breeze4-style (5.13.3 -> 5.13.4)
cheese
clamav (0.100.0 -> 0.100.1)
discover (5.13.3 -> 5.13.4)
drkonqi5 (5.13.3 -> 5.13.4)
eog-plugins (3.26.2 -> 3.26.3)
evolution (3.28.4 -> 3.28.5)
evolution-data-server (3.28.4 -> 3.28.5)
evolution-ews (3.28.4 -> 3.28.5)
ffmpeg-4
flatpak
gdm
geoclue2 (2.4.10 -> 2.4.11)
gnome-builder (3.28.3 -> 3.28.4)
gnutls
grub2
iputils
kactivitymanagerd (5.13.3 -> 5.13.4)
kcm_sddm (5.13.3 -> 5.13.4)
kde-cli-tools5 (5.13.3 -> 5.13.4)
kde-gtk-config5 (5.13.3 -> 5.13.4)
kde-user-manager (5.13.3 -> 5.13.4)
kernel-firmware (20180717 -> 20180730)
kgamma5 (5.13.3 -> 5.13.4)
khotkeys5 (5.13.3 -> 5.13.4)
kinfocenter5 (5.13.3 -> 5.13.4)
kmenuedit5 (5.13.3 -> 5.13.4)
kscreen5 (5.13.3 -> 5.13.4)
kscreenlocker (5.13.3 -> 5.13.4)
ksshaskpass5 (5.13.3 -> 5.13.4)
ksysguard5 (5.13.3 -> 5.13.4)
kwayland-integration (5.13.3 -> 5.13.4)
kwin5 (5.13.3 -> 5.13.4)
libdazzle (3.28.3 -> 3.28.5)
libdnet
libebml (1.3.5 -> 1.3.6)
libinput (1.11.2 -> 1.11.3)
libkdecoration2 (5.13.3 -> 5.13.4)
libkscreen2 (5.13.3 -> 5.13.4)
libksysguard5 (5.13.3 -> 5.13.4)
liblouis
libmatroska (1.4.8 -> 1.4.9)
libopenmpt (0.3.9 -> 0.3.11)
libzypp (17.4.0 -> 17.5.2)
lzo
mariadb
milou5 (5.13.3 -> 5.13.4)
nfs-utils
oxygen5 (5.13.3 -> 5.13.4)
pango (1.42.2 -> 1.42.3)
patterns-devel-base
patterns-kde
permissions (20180508 -> 20180724)
plasma-browser-integration (5.13.3 -> 5.13.4)
plasma-nm5 (5.13.3 -> 5.13.4)
plasma5-addons (5.13.3 -> 5.13.4)
plasma5-desktop (5.13.3 -> 5.13.4)
plasma5-integration (5.13.3 -> 5.13.4)
plasma5-openSUSE
plasma5-pa (5.13.3 -> 5.13.4)
plasma5-workspace (5.13.3 -> 5.13.4)
polkit-default-privs
polkit-kde-agent-5 (5.13.3 -> 5.13.4)
powerdevil5 (5.13.3 -> 5.13.4)
python-pip (10.0.1 -> 18.0)
qemu
qemu-linux-user
rubygem-autoprefixer-rails (9.0.0 -> 9.0.2)
rubygem-uglifier (4.1.16 -> 4.1.17)
sddm
skopeo (0.1.28 -> 0.1.31)
systemd
systemsettings5 (5.13.3 -> 5.13.4)
texlive-specs-m (2018.155.pl3svn47500 -> 2018.158.pl3svn47500)
texlive-specs-n (2018.151.2.004svn28119 -> 2018.158.2.004svn28119)
totem-pl-parser (3.26.1+20180614.d22b155 -> 3.26.1+20180713.b7f36dd)
tracker (2.0.4 -> 2.1.0)
tracker-miners (2.0.4 -> 2.1.0)
upower (0.99.7 -> 0.99.8)
vim (8.1.0200 -> 8.1.0229)
virglrenderer
xapian-core
xdg-desktop-portal-kde (5.13.3 -> 5.13.4)
xdm
xinetd (2.3.15.3 -> 2.3.15.4)
xorg-x11-server

=== Details ===

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1
libwayland-egl1

- Enable virgl on ARM

==== Mesa-drivers ====
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- Enable virgl on ARM

==== ModemManager ====
Version update (1.6.12 -> 1.6.14)
Subpackages: ModemManager-bash-completion ModemManager-lang libmm-glib0

- Update to version 1.6.14:
+ Build: Avoid -Wincompatible-pointer-types for MM 1.6.x builds,
to skip the stricter checks in GObject.
+ Introspection:
- Fixed bearer list annotations.
- Explicitly use ModemManager prefix to refer to introspected
types.
+ Core:
- udev: add tags also on bind actions.
- 3GPP: don't force auto registration if already registered.
- Signal: fix reloading of detailed signal quality status on AT
modems.
+ Plugins:
- QMI: update EPS registration state for LTE modems.
- MBIM:
. Check if IP session is active before trying to deactivate
it.
. Increase deactivation timeout to 60s.
- Huawei: Handle optional 0x prefix on hex numbers in ^DHCP
response.
+ Several other minor fixes.

==== apache2 ====
Version update (2.4.33 -> 2.4.34)
Subpackages: apache2-devel apache2-doc apache2-example-pages apache2-prefork
apache2-utils

- updated to 2.4.34:
* ) Introduce zh-cn and zh-tw (simplified and traditional Chinese) error
document translations. [CodeingBoy, popcorner]
* ) event: avoid possible race conditions with modules on the child pool.
[Stefan Fritsch]
* ) mod_proxy: Fix a corner case where the ProxyPassReverseCookieDomain or
ProxyPassReverseCookiePath directive could fail to update correctly
'domain=' or 'path=' in the 'Set-Cookie' header. PR 61560.
[Christophe Jaillet]
* ) mod_ratelimit: fix behavior when proxing content. PR 62362.
[Luca Toscano, Yann Ylavic]
* ) core: Re-allow '_' (underscore) in hostnames.
[Eric Covener]
* ) mod_authz_core: If several parameters are used in a AuthzProviderAlias
directive, if these parameters are not enclosed in quotation mark, only
the first one is handled. The other ones are silently ignored.
Add a message to warn about such a spurious configuration.
PR 62469 [Hank Ibell <hwibell gmail.com>, Christophe Jaillet]
* ) mod_md: improvements and bugfixes
- MDNotifyCmd now takes additional parameter that are passed on to the called
command.
- ACME challenges have better checks for interference with other modules
- ACME challenges are only handled for domains managed by the module, allowing
other ACME clients to operate for other domains in the server.
- better libressl integration
* ) mod_proxy_wstunnel: Add default schema ports for 'ws' and 'wss'.
PR 62480. [Lubos Uhliarik <luhliari redhat.com>}
* ) logging: Some early logging-related startup messages could be lost
when using syslog for the global ErrorLog. [Eric Covener]
* ) mod_cache: Handle case of an invalid Expires header value RFC compliant
like the case of an Expires time in the past: allow to overwrite the
non-caching decision using CacheStoreExpired and respect Cache-Control
"max-age" and "s-maxage". [Rainer Jung]
* ) mod_xml2enc: Fix forwarding of error metadata/responses. PR 62180.
[Micha Lenk <micha lenk.info>, Yann Ylavic]
* ) mod_proxy_http: Fix response header thrown away after the previous one
was considered too large and truncated. PR 62196. [Yann Ylavic]
* ) core: Add and handle AP_GETLINE_NOSPC_EOL flag for ap_getline() family
of functions to consume the end of line when the buffer is exhausted.
PR 62198. [Yann Ylavic]
* ) mod_proxy_http: Add new worker parameter 'responsefieldsize' to
allow maximum HTTP response header size to be increased past 8192
bytes. PR 62199. [Hank Ibell <hwibell gmail.com>]
* ) mod_ssl: Extend SSLOCSPEnable with mode 'leaf' that only checks the leaf
of a certificate chain. PR62112.
[Ricardo Martin Camarero <rickyepoderi yahoo.es>]
* ) http: Fix small memory leak per request when handling persistent
connections. [Ruediger Pluem, Joe Orton]
* ) mod_proxy_html: Fix variable interpolation and memory allocation failure
in ProxyHTMLURLMap. [Ewald Dieterich <ewald mailbox.org>]
* ) mod_remoteip: Fix RemoteIP{Trusted,Internal}ProxyList loading broken by
2.4.30.
PR 62220. [Chritophe Jaillet, Yann Ylavic]
* ) mod_remoteip: When overriding the useragent address from X-Forwarded-For,
zero out what had been initialized as the connection-level port. PR59931.
[Hank Ibell <hwibell gmail.com>]
* ) core: In ONE_PROCESS/debug mode, cleanup everything when exiting.
[Yann Ylavic]
* ) mod_proxy_balancer: Add hot spare member type and corresponding flag (R).
Hot spare members are used as drop-in replacements for unusable workers
in the same load balancer set. This differs from hot standbys which are
only used when all workers in a set are unusable. PR 61140. [Jim Riggs]
* ) suexec: Add --enable-suexec-capabilites support on Linux, to use
setuid/setgid capability bits rather than a setuid root binary.
[Joe Orton]
* ) suexec: Add support for logging to syslog as an alternative to
logging to a file; use --without-suexec-logfile --with-suexec-syslog.
[Joe Orton]
* ) mod_ssl: Restore 2.4.29 behaviour in SSL vhost merging/enabling
which broke some rare but previously-working configs. [Joe Orton]
* ) core, log: improve sanity checks for the ErrorLog's syslog config, and
explicitly allow only lowercase 'syslog' settings. PR 62102
[Luca Toscano, Jim Riggs, Christophe Jaillet]
* ) mod_http2: accurate reporting of h2 data input/output per request via
mod_logio. Fixes an issue where output sizes where counted n-times on
reused slave connections. [Stefan Eissing]
See github issue: https://github.com/icing/mod_h2/issues/158
* ) mod_http2: Fix unnecessary timeout waits in case streams are aborted.
[Stefan Eissing]
* ) mod_http2: restoring the v1.10.16 keepalive timeout behaviour of
mod_http2.
[Stefan Eissing]
* ) mod_proxy: Do not restrict the maximum pool size for backend connections
any longer by the maximum number of threads per process and use a better
default if mod_http2 is loaded.
[Yann Ylavic, Ruediger Pluem, Stefan Eissing, Gregg Smith]
* ) mod_slotmem_shm: Add generation number to shm filename to fix races
with graceful restarts. PRs 62044 and 62308. [Jim Jagielski, Yann Ylavic]
* ) core: Preserve the original HTTP request method in the '%<m' LogFormat
when an path-based ErrorDocument is used. PR 62186.
[Micha Lenk <micha lenk.info>]
* ) mod_remoteip: make proxy-protocol work on slave connections, e.g. in
HTTP/2 requests. [Stefan Eissing]
See also https://github.com/roadrunner2/mod-proxy-protocol/issues/6
* ) mod_ssl: Fix merging of proxy SSL context outside <Proxy> sections,
regression introduced in 2.4.30. PR 62232. [Rainer Jung, Yann Ylavic]
* ) mod_md: Fix compilation with OpenSSL before version 1.0.2. [Rainer Jung]
* ) mod_dumpio: do nothing below log level TRACE7. [Yann Ylavic]
* ) mod_remoteip: Restore compatibility with APR 1.4
(apr_sockaddr_is_wildcard).
[Eric Covener]
* ) core: On ECBDIC platforms, some errors related to oversized headers
may be misreported or be logged as ASCII escapes. PR 62200
[Hank Ibell <hwibell gmail.com>]
* ) mod_ssl: Fix cmake-based build. PR 62266. [Rainer Jung]
* ) core: Add <IfFile>, <IfDirective> and <IfSection> conditional
section containers. [Eric Covener, Joe Orton]
* %check: do not load all modules, just use default loadmodule.conf; some
modules require to load another ones in advance
* %install: parallel install is broken

==== autogen ====
Version update (5.18.12 -> 5.18.14)
Subpackages: libopts25

- Don't require libopts-devel from autogen
- Rename libopts-devel to autoopts
- Move all autoopts related files to autoopts
- Don't run autoreconf
- Don't remove -Werror
- sprintf-overflow.patch: Fix sprintf overflow
- autogen-guile-2.2.patch: properly add support for guile 2.2
- autogen-constant-timeout.patch: remove, use --enable-timeout
instead
- Update to version 5.8.14:
* several configury fixes to enable cross platform building.
* fompletion of a change in "char-mapper" to enable bootstrapping
* Guile 1.8 support was removed
* Replace AG_SCM_STR02SCM with scm_from_latin1_string this breaks
Guile 1.8.
* adaptations for cross compiling
* no more generating autoconf macros
* fix internal implementation of forking off autogen in xml2ag
* when calling abort() causes problems, exit() can now be called
(via an option) instead.
* add support for nanosecond precision in file times
* suppress dumb warnings about embedded NUL bytes in formats.
- Refresh patches
- Drop not applying autogen-reproducible-tar.patch

==== baobab ====
Subpackages: baobab-lang

- Add baobab-fix-gschema-translations.patch: build: Fix gschema
translations.

==== bluedevil5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: bluedevil5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== breeze ====
Version update (5.13.3 -> 5.13.4)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== breeze-gtk ====
Version update (5.13.3 -> 5.13.4)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== breeze4-style ====
Version update (5.13.3 -> 5.13.4)

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== cheese ====
Subpackages: cheese-lang libcheese-common libcheese-gtk25 libcheese8

- Add cheese-silence-gtk-scroll-warning.patch: Silence gtk
deprecation warning.
- Drop no longer needed post(un) handling of
glib2_gsettings_schema_post(un) and
glib2_gsettings_schema_requires macro from libcheese-common.
- Use autosetup and make_build macros.

==== clamav ====
Version update (0.100.0 -> 0.100.1)
Subpackages: libclamav7 libclammspack0

- bsc#1101654: Disable YARA support for licensing reasons
(clamav-disable-yara.patch).
- Do not ignore errors from useradd et al.
- Unclutter the spec file.
- Update dendencies (pcre2, libjson-c and systemd)
- Modernise spec file with spec-cleaner
- fix library-without-ldconfig warnings on libclammspack
- Update to version 0.100.1
* CVE-2018-0360: HWP integer overflow, infinite loop
vulnerability (bsc#1101410)
* CVE-2018-0361: PDF object length check, unreasonably long time
to parse relatively small file (bsc#1101412)
* Buffer over-read in unRAR code due to missing max value checks
in table initialization
* Libmspack heap buffer over-read in CHM parser
* PDF parser bugs
* Add HTTPS support for clamsubmit
* Fix for DNS resolution for users on IPv4-only machines where
IPv6 is not available or is link-local only

==== discover ====
Version update (5.13.3 -> 5.13.4)
Subpackages: discover-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* KNS: Fix leak of resource ratings
* When sorting by release date, show newer first
* Prevent crash (kde#396564)
* Readability
* Fix CMakeLists.txt to work with older versions of CMake
* KNS: Don't offer the backends to add if we know they're broken
* FeaturedModel: Make sure the file is written before we read
* Fix featured json file warning
* Fix warning
* Silence false positive warning on --mode
* Fix display if there's no source description
* Proper status when removing snaps (kde#396351)
* Properly check for pkqt
* Use consistent spacing in the missing backends footer

==== drkonqi5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: drkonqi5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== eog-plugins ====
Version update (3.26.2 -> 3.26.3)
Subpackages: eog-plugins-lang

- Update to version 3.26.3:
+ Plugin changes:
- PicasaWeb Uploader.
- Avoid compiler warning with glib 2.58.
+ Updated translations.

==== evolution ====
Version update (3.28.4 -> 3.28.5)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.28.5:
+ [Mail-Notification] Remove unused code.
+ Highlight of the search bar entry doesn't work.
+ Bugs fixed: glgo#GNOME/evolution#57, glgo#GNOME/evolution#71,
glgo#GNOME/evolution#75, glgo#GNOME/evolution#78.

==== evolution-data-server ====
Version update (3.28.4 -> 3.28.5)
Subpackages: evolution-data-server-lang libcamel-1_2-61 libebackend-1_2-10
libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-28 libedataserver-1_2-23 libedataserverui-1_2-2

- Update to version 3.28.5:
+ ESourceRegistry's thread main_context can leak.
+ [EClient] Really default readonly property to FALSE.
+ Bugs fixed: glgo#GNOME/evolution-data-server#19,
glgo#GNOME/evolution-data-server#22.
+ Updated translations.

==== evolution-ews ====
Version update (3.28.4 -> 3.28.5)
Subpackages: evolution-ews-lang

- Update to version 3.28.5:
+ Bugs fixed: glgo#GNOME/evolution-ews#10.
+ Updated translations.

==== ffmpeg-4 ====
Subpackages: libavcodec58 libavdevice58 libavfilter7 libavformat58
libavresample4 libavutil56 libpostproc55 libswresample3 libswscale5

- Reduce the optional conditional for the SLE12 backports to
cover everything, most of the packages in old codestreams were
not really ready as they need additional baselibs/etc.
* Since these are new features user will simply wait or use TW
- Enable "kmsgrab" input device
- Redo the nvidia condition based on review feeback
- Do not condition nvidia based on BUILD_ORIG all the support is in
TW only and not on different instances as such safeguard it with
version check only bsc#1102532
- Add new bconds to build on SLE12 backports project without
requiring extra packages:
* %bcond_without codec2
* %bcond_without bs2b
* %bcond_without lv2
* %bcond_without rubberband
* %bcond_without soxr
* %bcond_without zmq

==== flatpak ====
Subpackages: libflatpak0 typelib-1_0-Flatpak-1_0

- polkit_rules_usability.patch: Improve usability by allowing members of the
group 'wheel' to bypass polkit authentication checks when locally logged in
(bnc#984817). This adds a few polkit actions to the rules that are not
covered by upstream, because they are set to 'yes' for active users by
default. On SUSE we require 'auth_admin' for regular users, however.

==== gdm ====
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Enable pam_keyinit module (boo#1081947).

==== geoclue2 ====
Version update (2.4.10 -> 2.4.11)
Subpackages: system-user-srvGeoClue typelib-1_0-Geoclue-2_0

- Update to version 2.4.11:
+ Don't crash on invalid accuracy level request.
+ The demo agent now watches for geoclue on D-Bus if it's not
running already, instead of giving up. This solves a
race-condition, which makes geoclue completely unusable.
+ Provide Vala bindings for libgeoclue.
+ Add gclue_client_get/set_time_threshold() to docs.
- Drop geoclue2-Fix-safety-header-name.patch and
geoclue2-Fix-potentially-unused-variable.patch: Fixed upstream.
- Add vala BuildRequires: New optional dependency, build vala
bindings.
- No longer nuke during build geoclue-demo-agent.desktop files,
upstream wants us to package them.

==== gnome-builder ====
Version update (3.28.3 -> 3.28.4)
Subpackages: gnome-builder-doc gnome-builder-lang gnome-builder-plugin-jedi
gnome-builder-plugin-jhbuild gnome-builder-plugin-vala-pack

- Update to version 3.28.4:
+ Improvements to C indenter.
+ More safety improvements using IdeTask.
+ Protections against pathological lines when parsing To-do's.
+ To-do plugin now uses "git grep" when possible.
+ Some guards against very large projects (Mesa, WebKit,
Chromium) were added. We still suggest disabling CTags on this
size of project.
+ Diagnostics are re-processed after initial build pipeline
configure.
+ Fix for loading a project based on a flatpak manifest
(gnome-builder -m).
+ Fix for SSH authentication when no username is supplied.
+ emacs-style modeline improvements on initial load of buffer.
+ Cloning a project from a manifest will now detect some
situations where downloads can be avoided.
+ Updated translations.

==== gnutls ====
Subpackages: libgnutls-dane0 libgnutls30 libgnutls30-32bit

- Require pkgconfig(autoopts) for building

==== grub2 ====
Subpackages: grub2-i386-pc grub2-snapper-plugin grub2-systemd-sleep-plugin
grub2-x86_64-efi grub2-x86_64-xen

- Fix config_directory on btrfs to follow path scheme (bsc#1063443)
* grub2-btrfs-10-config-directory.patch
- Fix grub2-install --root-directory does not work for /boot/grub2/<arch> on
separate btrfs subvolume (boo#1098420)
* grub2-btrfs-06-subvol-mount.patch
- Fix setparams doesn't work as expected from boot-last-label NVRAM var, after
inital CAS reboot on ieee1275 (bsc#1088830)
* grub2-ppc64-cas-new-scope.patch

==== iputils ====
Subpackages: rarpd

- Backport upstream patch fixing tracepath6 (poo#38492)
e0baf20 tracepath: Fix copying input IPv6 address
0001-tracepath-Fix-copying-input-IPv6-address.patch

==== kactivitymanagerd ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kactivitymanagerd-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kcm_sddm ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kcm_sddm-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kde-cli-tools5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kde-cli-tools5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kde-gtk-config5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3 kde-gtk-config5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kde-user-manager ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kde-user-manager-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kernel-firmware ====
Version update (20180717 -> 20180730)
Subpackages: ucode-amd

- Update to version 20180730:
* linux-firmware: add firmware for mt76x2u
* wl18xx: update firmware file 8.9.0.0.79
* Mellanox: Add new mlxsw_spectrum firmware 13.1702.6
* WHENCE: Remove reference to amdgpu/vegam_me_2.bin
* linux-firmware: mediatek: add MT7622 Bluetooth firmwares and license file
* brcm: add 43430 based AP6212 and 1DX NVRAM
* linux-firmware: update Marvell USB8801 B0 firmware image

==== kgamma5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kgamma5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== khotkeys5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: khotkeys5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kinfocenter5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kinfocenter5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Fix file indexer monitor Exec line (kde#396977)
* Update kinfocenter docbook to 5.12

==== kmenuedit5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kmenuedit5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kscreen5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kscreen5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Fix preview widget appearing to scale twice (kde#388218)

==== kscreenlocker ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== ksshaskpass5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: ksshaskpass5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== ksysguard5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: ksysguard5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kwayland-integration ====
Version update (5.13.3 -> 5.13.4)

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== kwin5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: kwin5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* [kcmkwin/kwindecoration] Add missing QT include
* Don't remove outputs during page flip (kde#396272)
* [wayland] Confine pointer to screen geometry (kde#374867)
* [effects/desktopgrid] Don't change activities (kde#301447)

==== libdazzle ====
Version update (3.28.3 -> 3.28.5)
Subpackages: libdazzle-1_0-0 typelib-1_0-libdazzle-1_0

- Update to version 3.28.5:
+ An issue was introduced in menu merging in 3.28.4 and this
release fixes that and many other issues discovered with ASAN.
+ Fuzzy indexes now properly release metadata variant.
+ Various fixes to g_variant_parse() usage and floating
references.
+ Menu merging has been fixed in DzlMenuButton.
+ A leak in DzlRing was fixed.
+ Shortcut closure chains now properly concat GSList links.
+ A leak in GDateTime usage was fixed.
+ DzlTreeNode no longer leaks emblem names or GIcon instances.
+ DockManager now releases it's final transient grab.
+ DzlStateMachine now properly cleans up property stack items.
+ Multi-paned and dock-bin now properly unregister GdkWindows.
- Update to version 3.28.4:
+ Fixes for ref counting on titlebar widget.
+ Fix a leak in DzlBoldingLabel of Pango attribute lists.
+ Action muxer is now more defensive about string usage.
+ Menu popover is now more defensive when destroying widgets.
+ A potential, albeit unlikely, leak was plugged in signal
dispatching via the shortcut engine.
+ The shortcut controller is now more defensive during widget
destruction.

==== libdnet ====

- Add reproducible.patch to sort linked .o files
to make package build reproducible (boo#1041090)

==== libebml ====
Version update (1.3.5 -> 1.3.6)

- Added fix-EbmlSInteger-limits.patch from upstream.
* Fixes build with openSUSE <= 42.3
- Update to 1.3.6:
* Fixed undefined behavior when reading signed integers with
negative values from files.
* Fixed a small memory leak when reading an element runs into an
I/O exception (e.g. due to having reached the end of the file).
* Fixed the EbmlMaster::GetDataStart() function returning wrong
values for elements with an infinite/unknown size.
* Fixed finding the next element ID when garbage data is
encountered during the scan for the ID.
* Fixed several potential situations where reading child element
data could exceed the parent element's size.

==== libinput ====
Version update (1.11.2 -> 1.11.3)
Subpackages: libinput-udev libinput10

- Update to 1.11.3
* Improve HP Chromebook 14 pressure ranges
* Several documentation updates

==== libkdecoration2 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private6

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== libkscreen2 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Make TestInProcess skip out-of-process tests if D-Bus service uninstalled

==== libksysguard5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== liblouis ====
Subpackages: liblouis-data liblouis16 python3-louis

- Make data subpackage noarch.
- Rename %soname to %sover to better reflect its use.

==== libmatroska ====
Version update (1.4.8 -> 1.4.9)

- Update to version 1.4.9:
* Switched to cmake.

==== libopenmpt ====
Version update (0.3.9 -> 0.3.11)
Subpackages: libmodplug1 libopenmpt0

- Update to version 0.3.11:
* [Sec] Crash with some malformed custom tunings in MPTM files
* Channels whose volume envelope was playing at volume 0 while
being moved to a NNA background channel were cut off completely
since libopenmpt 0.3.8.
* AMF (ASYLUM): Convert 7-bit panning to 8-bit panning for
playback
- Update to version 0.3.10:
* [Bug] Internal mixer state was not initialized properly when
initially rendering in 44100kHz stereo format.
* [Bug] AMF: Undefined behaviour in loader code could lead to
files playing silent.
* Switching between instruments with portamento did not update
the NNA settings for the new instrument.
* FAR: Properly import volume commands.
* [Sec] Possible write near address 0 in out-of-memory situations
when reading AMS files.
* [Bug] openmpt123: Fixed build failure in C++17 due to use of
removed feature std::random_shuffle.
* STM: Having both Bxx and Cxx commands in a pattern imported the
Bxx command incorrectly.
* STM: Last character of sample name was missing.
* Speed up reading of truncated ULT files.
* ULT: Portamento import was sometimes broken.
* The resonant filter was sometimes unstable when combining
low-volume samples, low cutoff and high mixing rates.

==== libzypp ====
Version update (17.4.0 -> 17.5.2)

- Prevent the system from sleeping during a commit
(fixes openSUSE/zypper#135)
- RepoManager: Explicitly request repo2solv to generate application
pseudo packages.
- version 17.5.2 (2)
- libzypp-devel should not require cmake (bsc#1101349)
- Avoid zombies from ExternalProgram
- Update ApiConfig
- fix typo
- version 17.5.1 (2)
- HardLocksFile: Prevent against empty commit without Target having
been been loaded (bsc#1096803)
- lsof: use '-K i' if lsof supports it (bsc#1099847)
- PackageProvider: Validate deta rpms before caching (bsc#1091624)
- PackageProvider: Validate downloaded rpm package signatures
before caching (bsc#1091624)
- version 17.5.0 (2)

==== lzo ====

- Modernise spec file with spec-cleaner
- Move license to subpackage that will allways be installed

==== mariadb ====
Subpackages: libmysqld19 mariadb-client mariadb-errormessages

- switch to libedit as control sequences were already fixed there
so we don't have to avoid it [bsc#1098683]

==== milou5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: milou5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* textplugin: Fix missing QTextStream include

==== nfs-utils ====
Subpackages: nfs-client nfs-doc nfs-kernel-server

- nfs.conf: spell NFSV4LEASETIME correctly.
(bsc#1098532)

==== oxygen5 ====
Version update (5.13.3 -> 5.13.4)

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== pango ====
Version update (1.42.2 -> 1.42.3)
Subpackages: libpango-1_0-0 libpango-1_0-0-32bit typelib-1_0-Pango-1_0

- Update to version 1.42.3:
+ Fix handling of font lists on OS X.
+ Fix a memory leak.

==== patterns-devel-base ====
Subpackages: patterns-devel-base-devel_basis patterns-devel-base-devel_kernel
patterns-devel-base-devel_rpm_build patterns-devel-base-devel_web

- Merge with the version from SLE/Leap 15 full changes now below
in the changelog.

==== patterns-kde ====
Subpackages: patterns-kde-kde patterns-kde-kde_edutainment
patterns-kde-kde_games patterns-kde-kde_ide patterns-kde-kde_imaging
patterns-kde-kde_internet patterns-kde-kde_multimedia patterns-kde-kde_office
patterns-kde-kde_pim patterns-kde-kde_plasma patterns-kde-kde_utilities
patterns-kde-kde_utilities_opt patterns-kde-kde_yast

- %2F is '/', but it has to be '-', so use %2D

==== permissions ====
Version update (20180508 -> 20180724)

- Update to version 20180724:
* Fix wrong file path in help string
* whitelisting: add spice-gtk usb helper setuid binary (bnc#1101420)

==== plasma-browser-integration ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma-browser-integration-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== plasma-nm5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== plasma5-addons ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma5-addons-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* [dict applet] Fix translation catalog name to match pluginid

==== plasma5-desktop ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma5-desktop-lang

- Add fontinst-quits-after-KJob-is-done.patch to fix problems when
installing/removing multiple fonts system-wide at once
(kde#379524, kde#379324, kde#349673, kde#361960, kde#392267)
- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Don't unintentionally change font rendering when rendering preview images
* [Folder View] Improve file name text rendering
* Give file and folder names a bit more room in Folder View
* Honor ghns KIOSK restriction in new KCMs
* [Kicker] Use KFilePlaces::convertedUrl for ComputerModel (kde#363337)

==== plasma5-integration ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.13.4

==== plasma5-pa ====
Version update (5.13.3 -> 5.13.4)
Subpackages: plasma5-pa-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Make GConf optional dependency (kde#386665)
* Fix wrong availability of profiles and ports.

==== plasma5-workspace ====
Version update (5.13.3 -> 5.13.4)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Fix blocky text on splash screen when using non-integer scale factor
* Disable script execution over DBus when scripting console is disabled
* [Notifications Engine] Never group notifications with URLs (kde#396741)

==== polkit-default-privs ====

- polkit-default-privs: whitelist gamemode pkexec action (bsc#1093979)
- polkit-default-privs: fix switchboard-plug* whitelisting. An error slipped
in that causes `set_polkit_default_privs` to print an error message.

==== polkit-kde-agent-5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== powerdevil5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: powerdevil5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* None

==== python-pip ====
Version update (10.0.1 -> 18.0)

- update to 18.0
- refresh pip-8.1.2-shipped-requests-cabundle.patch
* drop python 3.3 support
* Remove the legacy format from pip list.
* Remove support for cleaning up #egg fragment postfixes
* Remove the shim for the old get-pip.py location
* Introduce a new --prefer-binary flag, to prefer older wheels
over newer source packages.
* Improve autocompletion function on file name completion
* Add support for installing PEP 518 build dependencies from source
* Improve status message when upgrade is skipped due to only-if-needed
strategy

==== qemu ====
Subpackages: qemu-arm qemu-block-curl qemu-block-dmg qemu-block-gluster
qemu-block-iscsi qemu-block-rbd qemu-block-ssh qemu-extra qemu-guest-agent
qemu-ipxe qemu-ksm qemu-kvm qemu-lang qemu-ppc qemu-s390 qemu-seabios
qemu-sgabios qemu-tools qemu-ui-curses qemu-ui-gtk qemu-ui-sdl qemu-vgabios
qemu-x86

- Fixing seccomp resourcecontrol defunct issue (bsc#1102627)
- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Patches added:
0067-seccomp-allow-sched_setscheduler-wi.patch
- Add ipxe-fix-build.patch to not error out with
binutils >= 2.31 .

==== qemu-linux-user ====

- Patch queue updated from git://github.com/openSUSE/qemu.git opensuse-2.12
* Patches added:
0067-seccomp-allow-sched_setscheduler-wi.patch

==== rubygem-autoprefixer-rails ====
Version update (9.0.0 -> 9.0.2)

- updated to version 9.0.2
* Show warning on Grid area names conflict (by Bogdan).
* Fix ExecJS warning (by Jan Kmet).
- updated to version 9.0.1
* Fix nested at-rules in Grid prefixes (by Ivan Malov).

==== rubygem-uglifier ====
Version update (4.1.16 -> 4.1.17)

- updated to version 4.1.17
* update UglifyJS to
[3.4.6](https://github.com/mishoo/UglifyJS2/compare/v3.4.5...v3.4.6)

==== sddm ====
Subpackages: sddm-branding-openSUSE

- Add patch to not switch to "undead" sessions (boo#1102832):
* 0001-Session-reuse-Only-consider-online-sessions.patch
- Reenable ReuseSession=true again

==== skopeo ====
Version update (0.1.28 -> 0.1.31)

- Update to skopeo v0.1.31:
* Fix compilation on i586
- Make use of %license macro
- Update to skopeo v0.1.30:
* skopeo-copy: docker-archive: multitag support
* Updates to vendored libraries

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-coredump systemd-logger systemd-sysvinit
udev

- Import commit 0350f62a8cf7f151951b6b78337fe3c198b8bf6a
fbf43a697 core: don't freeze OnCalendar= timer units when the clock goes back
a lot (bsc#1090944)
4134ba8b6 man: SystemMaxUse= clarification in journald.conf(5) (bnc#1101040)
78bb2a0c4 socket-util: fix getpeergroups() assert(fd) (#8080) (bsc#1096516)
1753d0420 systemctl: mask always reports the same unit names when different
unknown units are passed (bsc#1095973)
50ebf79d7 scsi_id: Fixup prefix for pre-SPC inquiry reply (bsc#1039099)
570f7655b locale-util: on overlayfs FTW_MOUNT causes nftw(3) to not list
*any* files

==== systemsettings5 ====
Version update (5.13.3 -> 5.13.4)
Subpackages: systemsettings5-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* check for window existence (kde#355818)
* [SubCategoryPage] Use binding for back button color
* Fix sidebar search field with fractional scale factors
* navigate with enter as well (kde#394335)
* forget all kcms that don't exist anymore (kde#394553)
* Hide view selection if there is only one plugin to choose (kde#374865)
* quit gracefully on sidebar QML errors (kde#394902)
* Update systemsettings docbook to 5.12

==== texlive-specs-m ====
Version update (2018.155.pl3svn47500 -> 2018.158.pl3svn47500)

- In case of having OpenType and/or TrueType fonts around do disable
the PostScript Type fonts for fontconfig (boo#1102986)
- Update tetex_scripts.dif as also updmap.pl should use /usr/share/texmf
to find the perl TeXLive modules as well

==== texlive-specs-n ====
Version update (2018.151.2.004svn28119 -> 2018.158.2.004svn28119)

- In case of having OpenType and/or TrueType fonts around do disable
the PostScript Type fonts for fontconfig (boo#1102986)
- Update tetex_scripts.dif as also updmap.pl should use /usr/share/texmf
to find the perl TeXLive modules as well
- Port *all* changes for texlive scripts from source.dif to
texconfig_scripts.dif
- Update tetex_scripts.dif as there is no /usr/share/texmf-dist here
- Refresh stix.tar.xz to get missed fd files
- Reorder requirements due rename texconfig to tetex
- Respect rename of texconfig to tetex

==== totem-pl-parser ====
Version update (3.26.1+20180614.d22b155 -> 3.26.1+20180713.b7f36dd)
Subpackages: libtotem-plparser-mini18 libtotem-plparser18 totem-pl-parser-lang
typelib-1_0-TotemPlParser-1_0

- Update to version 3.26.1+20180713.b7f36dd:
+ build: Add CI
+ podcast: Remove GMIME dependency
- Drop pkgconfig(gmime-3.0) BuildRequires and stop passing
disable-gmime-i-know-what-im-doing=false to meson: No longer
needed after upstream changes.

==== tracker ====
Version update (2.0.4 -> 2.1.0)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.1.0:
+ Brown paper bag release: All features from unreleased 2.0.5
apply.
+ One feature was missed: TrackerResource is now able to output
JSON-LD. This is a new API call, so a minor bump should happen
as per Semantic Versioning.
- Changes from version 2.0.5:
+ build:
- Make tarballs able to build with meson. Future releases will
eventually phase out Autotools.
- Various meson build fixes
+ tests: Many fixes to functional tests.
+ libtracker-miner: Fixed race conditions that may result in
spurious "parent not indexed yet" warnings.
+ libtracker-direct: Majorly rewritten.
+ tracker-store: Streamlined to use a libtracker-direct
connection instead of reimplementing most of it.

==== tracker-miners ====
Version update (2.0.4 -> 2.1.0)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.1.0:
+ tests: Many updates and fixes to functional tests.
+ tracker-extract: Better infrastructure for tests, based on
JSON-LD.
+ tracker-miner-fs: Restart tracker extract from the right
domain.
+ tracker-extract: Persistently avoid files that trigger
recoverable errors, to avoid log spamming on restarts.
+ Updated translations.
- Update to version 2.0.5:
+ tracker-extract: Made daemon able to shutdown on inactivity,
lifetime will be managed by tracker-miner-fs.
+ tracker-stract: Fixes in generated SPARQL for geolocation data.
+ Updated translations.
- Replace libjpeg-devel BuildRequires with pkgconfig(libjpeg): now
configure looks for the pkgconfig module instead.

==== upower ====
Version update (0.99.7 -> 0.99.8)
Subpackages: libupower-glib3 typelib-1_0-UpowerGlib-1_0 upower-lang

- Update to version 0.99.8:
+ New Features:
- Lock down systemd service file.
- Add support for "Unknown" capacity level, and clarify
handling of devices with coarse battery levels.
- Add a new version of up_client_get_devices() which unrefs
contents.
+ Bugfixes:
- Fix warnings when D-Bus related properties change.
- Prevent crash after attaching an Apple TV, and support newer
versions of iOS.
- Lower severity of "unhandled action" messages.
- Fix battery status on MacBooks after a plug or unplug event.
- Fix double-close on exit.
- Drop patches fixed upstream:
+ upower-fix-ios-crash.patch.
+ upower-fix-crash-logind-doesnt-return-error.patch.
+ upower-fix-memory-leak.patch.
- Refresh upower-hibernate-insteadof-hybridsleep.patch with quilt.
- Use autosetup and make_build macros.

==== vim ====
Version update (8.1.0200 -> 8.1.0229)
Subpackages: gvim vim-data vim-data-common

- update to 8.1.0229
- refresh disable-unreliable-tests.patch and vim-7.4-disable_lang_no.patch
* Crash when dumping profiling data.
* Dropping files is ignored while Vim is busy.
* Mode() does not indicate using CTRL-O from Insert mode.
* Hang in bracketed paste mode when t_PE not encountered.
* Completing shell command finds sub-directories in $PATH.
* Ruby converts v:true and v:false to a number.
* Expanding ## fails to escape backtick.
* Cannot add matches to another window.
* Compiler warning for variable set but not used.
* No error if configure --with-x cannot configure X.
* +autochdir feature not reported by has() or :version.
* CTRL-W CR does not work properly in a quickfix window
* Preferred cursor column not set in interfaces.
* Expanding a file name "~" results in $HOME.
* Stderr output from Ruby messes up display.
* Invalid memory access with invalid modeline.
* :version always shows +packages.
* Newer Python uses "importlib" instead of "imp".

==== virglrenderer ====

- vrend: Increase VREND_MAX_CTX to 64. (bsc#1102749)
0002-1fdafd62-vrend-Increase-VREND_MAX_CTX-to-64.patch

==== xapian-core ====

- Fix RPM groups.
- Trim bias and redundancies from description.

==== xdg-desktop-portal-kde ====
Version update (5.13.3 -> 5.13.4)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* Minor changes to macros
* Support PipeWire 0.2.0

==== xdm ====
Subpackages: xdm-xsession

- display-manager: also quit plymouth when display-manager is set
to console (boo#1102584)

==== xinetd ====
Version update (2.3.15.3 -> 2.3.15.4)

- Update to 2.3.15.4:
* Small buildfixes from gentoo
* Various tiny tweaks from pullrequests

==== xorg-x11-server ====
Subpackages: xorg-x11-server-sdk xorg-x11-server-wayland

- fixed build on s390(x)


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages